> For the complete documentation index, see [llms.txt](https://docs.metadium.com/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.metadium.com/en/api-reference/api-info.md).

# API Info

API stands for Application Programming Interface, which refers to the interface that allows software applications to interact with other software components or services.

**APIs act as intermediaries that facilitate interaction between programs.**

Through APIs, developers or systems can call services provided by others and exchange data. Additionally, APIs help reduce the complexity of writing code required to interact with other software components, enabling faster and more efficient software development.

Generally, APIs of blockchain platforms provide the functionality to query block or transaction information, confirm balances, and monitor the state of the blockchain, enabling the development of various blockchain-based applications.

The next chapter introduces the API provided by Metadium Explorer.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.metadium.com/en/api-reference/api-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
